approx_5.10-1_amd64.deb


Advertisement

Description

approx - caching proxy server for Debian archive files

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name approx
Package version 5.10
Package release 1
Package architecture amd64
Package type deb
Installed size 4.62 KB
Download size 932.13 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
approx_5.10-1_i386.deb 5.10 i386 Debian Main
approx - - -

Requires

Name Value
adduser -
bzip2 -
curl -
init-system-helpers >= 1.18~
libc6 >= 2.15
libpcre3 -
rsyslog -
system-log-daemon -
xz-utils -

Download

Type URL
Binary Package approx_5.10-1_amd64.deb
Source Package approx

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install approx deb package:
    # sudo apt-get install approx

Files

Path
/etc/approx/approx.conf
/etc/cron.weekly/approx
/lib/systemd/system/approx.socket
/lib/systemd/system/approx@.service
/usr/sbin/approx
/usr/sbin/approx-import
/usr/share/doc/approx/FAQ
/usr/share/doc/approx/NEWS.Debian.gz
/usr/share/doc/approx/README.concurrency
/usr/share/doc/approx/changelog.Debian.gz
/usr/share/doc/approx/copyright
/usr/share/doc/approx/examples/approx.xinetd
/usr/share/man/man5/approx.conf.5.gz
/usr/share/man/man8/approx-import.8.gz
/usr/share/man/man8/approx.8.gz

Changelog

2017-07-25 - Eric Cooper <ecc@cmu.edu>
approx (5.10-1) unstable; urgency=medium
* New upstream version
* revert to ocaml-sha instead of cryptokit
2017-07-22 - Eric Cooper <ecc@cmu.edu>
approx (5.9-1) unstable; urgency=medium
* New upstream version
* use cryptokit for checksum functions
* add Build-Depends for cryptokit (instead of sha) and ocamlbuild
* enable all compiler warnings but don't treat them as errors
* fix all code that caused compiler warnings
* fix compiler warnings in test code
2017-07-04 - Eric Cooper <ecc@cmu.edu>
approx (5.8-1) unstable; urgency=medium
* New upstream version
* handle HTTP/2 status (closes: #867048)
* update Standards-Version and Build-Depends for debhelper
* remove unused approx.config file
2016-12-17 - Eric Cooper <ecc@cmu.edu>
approx (5.7-3) unstable; urgency=medium
* use dh support for systemd unit files (closes: #848312)
* eliminate debconf configuration of port number
2016-12-04 - Eric Cooper <ecc@cmu.edu>
approx (5.7-2) unstable; urgency=medium
* remove broken debian/watch file
* fix build failure for tests on architectures lacking ocamlopt
2016-11-16 - Eric Cooper <ecc@cmu.edu>
approx (5.7-1) unstable; urgency=medium
[ Eric Cooper ]
* New upstream version
* remove unused code
* simplify build using findlib
* use OUnit for tests
* change String.create to Bytes.create
* relax check for Invalid_argument exception
* increment version number
* depend on OCaml 4.02 for Bytes module
* add build dependency on OUnit
* remove approx-gc program (closes: #465473, #632926, #686062, #818731)
* use find(1) command in weekly cron job
* update Standards-Version to 3.9.8
* add dependency on update-inetd
[ Mark White ]
* add $curl_path configuration parameter
* cache unknown file types for $interval
[ Kai Harries ]
* remove dependencies on inet-superserver (closes: #784312)
[ Romain Francoise ]
* Bug#818633: approx: fails to connect to HTTP/2 servers (closes: #818633)
2015-06-20 - Eric Cooper <ecc@cmu.edu>
approx (5.5-2) unstable; urgency=medium
* handle String.create deprecation warning during transition to OCaml 4.02
2014-06-21 - Eric Cooper <ecc@cmu.edu>
approx (5.5-1) unstable; urgency=medium
* New upstream version
* Only cache "not found" for true 404 responses (closes: #655986)
* Incorporate patch for #732021 into upstream branch
* Update Standards-Version to 3.9.5
2013-12-12 - Eric Cooper <ecc@cmu.edu>
approx (5.4-2) unstable; urgency=low
* patch doc/FAQ to avoid FHS violation (closes: #732021)
* drop dm-upload-allowed (again)
2013-12-08 - Eric Cooper <ecc@cmu.edu>
approx (5.4-1) unstable; urgency=low
* New upstream version
* follow redirects for HEAD requests (closes: #695279)
* eliminate Not_found exception in gc (closes: #695639)
* increase debhelper compat to 9
* update standards-version, drop dm-update-allowed
* change from gz to bz2 (closes: #639540, #689444, #705890)
* replace deprecated (or) with (||) (closes: #731703)
* add example xinetd config (closes: #720359)
* add systemd service file (closes: #679991)
* document use of /var/cache/approx/.curlrc file (closes: #719912)
* drop build-dependency on libsyslog-ocaml-dev (provided by ocamlnet now)
* add depends on bzip2 and xz-utils

See Also

Package Description
appstream-doc_0.12.3-1_all.deb Developer documentation for AppStream
appstream-generator_0.7.4-1+b1_amd64.deb Generator for AppStream metadata
appstream-glib-doc_0.7.12-1_all.deb Developer documentation for the libappstream-glib library
appstream-util_0.7.12-1_amd64.deb Utility to work with AppStream metadata
appstream_0.12.3-1_amd64.deb Software component metadata management
aprsdigi_3.10.0-2+b1_amd64.deb digipeater for APRS
aprx_2.9.0+dfsg-2_amd64.deb APRS Digipeater and iGate
apsfilter_7.2.6-1.3_all.deb Magic print filter with automatic file type recognition
apt-build_0.12.47_amd64.deb frontend to apt to build, optimize and install packages
apt-cacher-ng_3.2-1_amd64.deb caching proxy server for software repositories
apt-cacher_1.7.19_all.deb Caching proxy server for Debian/Ubuntu software repositories
apt-clone_0.4.1_all.deb Script to create state bundles
apt-config-auto-update_2.0.0-2_all.deb Apt configuration for automatic cache updates
apt-config-icons-hidpi_0.12.3-1_all.deb APT configuration snippet to enable HiDPI icon downloads
apt-config-icons-large-hidpi_0.12.3-1_all.deb APT configuration snippet to enable large HiDPI icon downloads
Advertisement
Advertisement